Subject: Re: bug#45864: 27.1; hack-local-variables-hook is not documented in Emacs Manual

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jan 2021 07:22:55 +0100

Howard Melman <[email-masked]> writes:

> Today I learned about the hack-local-variables-hook which
> allows me to correct these.  I'm surprised that it and
> before-hack-local-variables-hook are not documented in the
> Emacs Manual but are only mentioned in the Elisp Reference
> Manual.  Unless I'm misunderstanding something they're meant
> for users and not just for elisp programmers so they should
> be in the Emacs Manual.

The doc string of the former variable says:

----
Major modes can use this to examine user-specified local variables
in order to initialize other data structure based on them.
----

So they are meant for people implementing major modes, which is why
they're in the lispref manual, and not the Emacs manual.  (Users can use
them, too, but that's not really their purpose.)

So I think it makes sense to keep the documentation as is, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no